package com.maryanovsky.gwtutils.client;

/**
 * A generic factory interface.
 * 
 * @author Maryanovsky Alexander
 */
public interface Factory<T> {

    /**
	 * Creates an instance of <code>T</code>.
	 */
    T create();
}
