package com.maryanovsky.gwtutils.client.event;

import java.util.EventListener;

/**
 * The interface for receiving notifications of some kind of state change. 
 * 
 * @author Maryanovsky Alexander
 */
public interface ChangeListener extends EventListener {

    /**
	 * Invoked when the state of the source specified by the given event changes
	 * in some manner.
	 */
    void stateChanged(ChangeEvent evt);
}
