package com.maryanovsky.gwtutils.client.geom;

/**
 * A 2D coordinate with double precision coordinates.
 * 
 * @author Maryanovsky Alexander
 */
public class DoublePoint implements DoublePointView {

    /***/
    private double a;

    /***/
    private double b;

    /**
	 * Creates a new {@link DoublePoint} at the specified coordinates.
	 */
    public DoublePoint(double x, double y) {
        this.a = x;
        this.b = y;
    }

    /**
	 * Returns the X coordinate.
	 */
    public double getX() {
        return a;
    }

    /**
	 * Returns the Y coordinate.
	 */
    public double getY() {
        return b;
    }

    /**
	 * Sets the X coordinate.
	 */
    public void setX(double x) {
        this.a = x;
    }

    /**
	 * Sets the Y coordinate.
	 */
    public void setY(double y) {
        this.b = y;
    }
}
