package com.maryanovsky.gwtutils.client.geom;

/**
 * Provides a view of a 2D double precision point without allowing modification. 
 * 
 * @author Maryanovsky Alexander
 */
public interface DoublePointView {

    /**
	 * Returns the X coordinate.
	 */
    double getX();

    /**
	 * Returns the Y coordinate.
	 */
    double getY();
}
