package com.maryanovsky.gwtutils.client.text;

/**
 * An interface for classes which can encode object representations into text.
 * 
 * @author Maryanovsky Alexander
 */
public interface Encoder<T> {

    /**
	 * Encodes the specified object.
	 */
    String encode(T object);
}
