package com.maryanovsky.gwtutils.client.text;

/**
 * The exception thrown when parsing fails.
 *
 * @author Maryanovsky Alexander
 */
public class ParseException extends Exception {

    /**
	 * Creates a new {@link ParseException} with the specified message.
	 */
    public ParseException(String message) {
        super(message);
    }

    /**
	 * Creates a new ParseException with the specified cause.
	 */
    public ParseException(Throwable cause) {
        super(cause);
    }

    /**
	 * Creates a new {@link ParseException} with the specified message and
	 * cause exception.
	 */
    public ParseException(String message, Throwable cause) {
        super(message, cause);
    }
}
