package com.maryanovsky.gwtutils.client.ui.touch.gestures.buttontap;

import com.google.gwt.event.shared.HandlerRegistration;

/**
 * The interface for allowing button-tap event registration.
 * 
 * @author Maryanovsky Alexander
 */
public interface HasButtonTapHandlers {

    /**
	 * Adds a {@link ButtonTapEvent} handler.
	 */
    HandlerRegistration addButtonTapHandler(ButtonTapHandler handler);
}
