package com.maryanovsky.gwtutils.client.ui.touch.gestures.drag;

import com.google.gwt.event.shared.HandlerRegistration;

/**
 * The interface for allowing drag cancel event registration.
 * 
 * @author Maryanovsky Alexander
 */
public interface HasDragCancelHandlers {

    /**
	 * Adds a {@link DragCancelEvent} handler.
	 */
    HandlerRegistration addDragCancelHandler(DragCancelHandler handler);
}
