package com.maryanovsky.gwtutils.client.ui.touch.gestures.pinch;

import com.google.gwt.event.shared.HandlerRegistration;

/**
 * The interface for allowing pinch change event registration.
 * 
 * @author Maryanovsky Alexander
 */
public interface HasPinchChangeHandlers {

    /**
	 * Adds a {@link PinchChangeEvent} handler.
	 */
    HandlerRegistration addPinchChangeHandler(PinchChangeHandler handler);
}
