package com.maryanovsky.gwtutils.client.event;

import java.util.EventListener;

/**
 * The interface for receiving notifications of a change in a named property.
 * 
 * @author Maryanovsky Alexander
 */
public interface PropertyChangeListener extends EventListener {

    /**
	 * Invoked when a property has changed.
	 */
    void propertyChanged(PropertyChangeEvent evt);
}
