package com.maryanovsky.gwtutils.client.text;

/**
 * An interface for classes which can decode text into an object.
 * 
 * @author Maryanovsky Alexander
 */
public interface Decoder<T> {

    /**
	 * Creates an object from the specified textual representation.
	 */
    T decode(String text) throws ParseException;
}
