package com.maryanovsky.gwtutils.client.ui;

import com.google.gwt.user.client.DOM;
import com.google.gwt.user.client.ui.SimplePanel;
import com.google.gwt.user.client.ui.Widget;

/**
 * A {@link SimplePanel} which wraps another widget in a span element.
 * 
 * @author Maryanovsky Alexander
 */
public class InlineSimplePanel extends SimplePanel {

    /**
	 * Creates a new {@link InlineSimplePanel}.
	 */
    public InlineSimplePanel() {
        super(DOM.createSpan());
    }

    /**
	 * Creates a new {@link InlineSimplePanel} which will wrap the specified
	 * widget.
	 */
    public InlineSimplePanel(Widget widget) {
        this();
        setWidget(widget);
    }
}
