package com.maryanovsky.gwtutils.client.ui.mouse.gestures.drag;

import com.google.gwt.event.shared.HandlerRegistration;

/**
 * The interface for allowing drag move event registration.
 * 
 * @author Maryanovsky Alexander
 */
public interface HasDragMoveHandlers {

    /**
	 * Adds a {@link DragMoveEvent} handler.
	 */
    HandlerRegistration addDragMoveHandler(DragMoveHandler handler);
}
