package com.maryanovsky.gwtutils.client.ui.mouse.gestures.wheelscroll;

import com.google.gwt.event.shared.HandlerRegistration;

/**
 * The interface for allowing mouse wheel scroll-down event registration.
 * 
 * @author Maryanovsky Alexander
 */
public interface HasWheelScrollDownHandlers {

    /**
	 * Adds a {@link WheelScrollDownEvent} handler.
	 */
    HandlerRegistration addWheelScrollDownHandler(WheelScrollDownHandler handler);
}
