package com.maryanovsky.gwtutils.client.ui.mouse.gestures.wheelscroll;

import com.google.gwt.event.shared.HandlerRegistration;

/**
 * The interface for allowing mouse wheel scroll-up event registration.
 * 
 * @author Maryanovsky Alexander
 */
public interface HasWheelScrollUpHandlers {

    /**
	 * Adds a {@link WheelScrollUpEvent} handler.
	 */
    HandlerRegistration addWheelScrollUpHandler(WheelScrollUpHandler handler);
}
