package com.maryanovsky.gwtutils.client.ui.touch.gestures.drag;

import com.google.gwt.event.shared.HandlerRegistration;

/**
 * The interface for allowing drag end event registration.
 * 
 * @author Maryanovsky Alexander
 */
public interface HasDragEndHandlers {

    /**
	 * Adds a {@link DragEndEvent} handler.
	 */
    HandlerRegistration addDragEndHandler(DragEndHandler handler);
}
