package com.maryanovsky.gwtutils.client.ui.touch.gestures.mftap;

import com.google.gwt.event.shared.HandlerRegistration;

/**
 * The interface for allowing multi-finger tap event registration.
 * 
 * @author Maryanovsky Alexander
 */
public interface HasMultiFingerTapHandlers {

    /**
	 * Adds a {@link MultiFingerTapEvent} handler.
	 */
    HandlerRegistration addMultiFingerTapHandler(MultiFingerTapHandler handler);
}
