package com.maryanovsky.gwtutils.client.ui.touch.gestures.pinch;

import com.google.gwt.event.shared.HandlerRegistration;

/**
 * The interface for allowing pinch cancel event registration.
 * 
 * @author Maryanovsky Alexander
 */
public interface HasPinchCancelHandlers {

    /**
	 * Adds a {@link PinchCancelEvent} handler.
	 */
    HandlerRegistration addPinchCancelHandler(PinchCancelHandler handler);
}
