package com.maryanovsky.gwtutils.client.ui.touch.gestures.pinch;

import com.google.gwt.event.shared.HandlerRegistration;

/**
 * The interface for allowing pinch end event registration.
 * 
 * @author Maryanovsky Alexander
 */
public interface HasPinchEndHandlers {

    /**
	 * Adds a {@link PinchEndEvent} handler.
	 */
    HandlerRegistration addPinchEndHandler(PinchEndHandler handler);
}
