package com.maryanovsky.gwtutils.client.ui.touch.gestures.pinch;

import com.google.gwt.event.shared.HandlerRegistration;

/**
 * The interface for allowing pinch start event registration.
 * 
 * @author Maryanovsky Alexander
 */
public interface HasPinchStartHandlers {

    /**
	 * Adds a {@link PinchStartEvent} handler.
	 */
    HandlerRegistration addPinchStartHandler(PinchStartHandler handler);
}
