package com.maryanovsky.map.client.actions;

import com.google.gwt.core.client.GWT;
import com.maryanovsky.map.client.MapWidget;

/**
 * Contains the implementations for the standard ways a user may interact with
 * the map.  
 * 
 * @author Maryanovsky Alexander
 */
public abstract class StandardActions {

    /***/
    private static final StandardActions a = GWT.create(StandardActions.class);

    /**
	 * Returns the sole instance of this class.
	 */
    public static StandardActions getInstance() {
        return a;
    }

    /**
	 * Adds all the standard actions to the specified map widget.
	 */
    public abstract void addAll(MapWidget mapWidget);
}
